Bug 11384 - mktemp, due to incorrect RH patches, won't build as non-root
mktemp, due to incorrect RH patches, won't build as non-root
Product: Red Hat Raw Hide
Classification: Retired
Component: mktemp (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Cristian Gafton
Depends On:
  Show dependency treegraph
Reported: 2000-05-12 06:21 EDT by Michael Tokarev
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-12 06:23:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch for .spec file (934 bytes, patch)
2000-05-12 06:22 EDT, Michael Tokarev
no flags Details | Diff
new wersion of mktemp-1.4-linux.patch (1.33 KB, patch)
2000-05-12 06:23 EDT, Michael Tokarev
no flags Details | Diff

  None (edit)
Description Michael Tokarev 2000-05-12 06:21:43 EDT
RedHat applied it's own patche to this tiny utility, but
that patch (for Makefile) introduced "install -o 0 -g 0.." in
install target.
Attached is a patch for .spec file (added %defattr, used $RPM_BUILD_ROOT
in install etc), and new file mktemp-1.5-linux.patch with correct
Makefile patch and unchanged patch to mktime.c (this was
Comment 1 Michael Tokarev 2000-05-12 06:22:59 EDT
Created attachment 239 [details]
patch for .spec file
Comment 2 Michael Tokarev 2000-05-12 06:23:59 EDT
Created attachment 240 [details]
new wersion of mktemp-1.4-linux.patch
Comment 3 Nalin Dahyabhai 2000-07-03 05:22:27 EDT
Fixed as of mktemp-1.5-4.

Note You need to log in before you can comment on or make changes to this bug.